@echo off
pushd "%CD%"
CD /D "%~dp0"
set GLILANG=en

if "%PROGNAME" == "" set PROGNAME=Greenstone

if not "%PROGFULLNAME" == "" goto setvars
if "%GLILANG%" == "es" set PROGFULLNAME="Biblioteca Digital Greenstone"  
if "%GLILANG%" == "fr" set PROGFULLNAME="Bibliothcaire Greenstone"
if "%GLILANG%" == "ru" set PROGFULLNAME=" Greenstone"
:: if the PROGFULLNAME is still not set, then set the language to English
if "%PROGFULLNAME%" == "" set PROGNAME=Greenstone Digital Library
  

:setvars
if "%PROGABBR%" == "" set PROGABBR=GLI
if "%PROGNAME_EN%" == "" set PROGNAME_EN=Greenstone Librarian Interface

::  -------- Run the Greenstone Librarian Interface --------

:: This script must be run from within the directory in which it lives
if exist client-gli.bat goto start
    if "%GLILANG%" == "en" echo This script must be run from the directory in which it resides.
    if "%GLILANG%" == "es" echo Este guin deber ejecutarse desde el directorio en el que reside.
    if "%GLILANG%" == "fr" echo Ce script doit tre excut  partir du rpertoire dans lequel il se trouve.
    if "%GLILANG%" == "ru" echo  ਯ     ४ਨ,  ன  ᯮ
    goto exit

:start
if "%OS%" == "Windows_NT" goto findGSDL
    :: Invoke a new command processor to ensure there's enough environment space
    if "%1" == "Second" goto findGSDL
        command /E:2048 /C %0 Second %1 %2 %3 %4 %5 %6 %7 %8 %9
        goto done

:findGSDL
echo.
if "%GLILANG%" == "en" echo %PROGNAME_EN% (%PROGABBR%)
if "%GLILANG%" == "en" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "en" echo %PROGABBR% comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it

if "%GLILANG%" == "es" echo Interfaz de la %PROGFULLNAME% (%PROGNAME_EN% - %PROGABBR%)
if "%GLILANG%" == "es" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "es" echo La Interfaz de la %PROGFULLNAME% NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTA.
if "%GLILANG%" == "es" echo Para mayor informacin vea los trminos de la licencia en LICENSE.txt
if "%GLILANG%" == "es" echo Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita

if "%GLILANG%" == "fr" echo Interface du %PROGFULLNAME% (%PROGNAME_EN% - %PROGABBR%)
if "%GLILANG%" == "fr" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "fr" echo %PROGABBR% est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit  le redistribuer

if "%GLILANG%" == "ru" echo  䥩 %PROGNAME% (%PROGNAME_EN% - %PROGABBR%)
if "%GLILANG%" == "ru" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "ru" echo      ; ⠫ .  ⥪ LICENSE.TXT
if "%GLILANG%" == "ru" echo  - ᢮ ࠭塞 ணࠬ ᯥ祭    ࠭ 


:: If there's a gs2build directory nested inside client-gli, then we can
:: download and build locally, but ONLY if we have perl. Else building
:: will have to be done remotely. If Perl is found, PERLPATH will be set.
if not exist gs2build\nul goto findJava
	call findperl.bat

:findJava
:: Need to find Java. If found, JAVA_EXECUTABLE will be set
call findjava.bat
if "%JAVA_EXECUTABLE%" == "" goto exit

:checkGLI
:: ---- Check that the GLI has been compiled ----
if exist "classes/org/greenstone/gatherer/Gatherer.class" goto runGLI
if exist "GLI.jar" goto runGLI
    echo.
    if "%GLILANG%" == "en" echo You need to compile the %PROGNAME_EN% (using makegli.bat)
    if "%GLILANG%" == "en" echo before running this script.

    if "%GLILANG%" == "es" echo Usted necesita compilar la Interfaz de la %PROGFULLNAME%
    if "%GLILANG%" == "es" echo (por medio de makegli.bat) antes de ejecutar este guin.

    if "%GLILANG%" == "fr" echo Vous devez compiler le %PROGNAME% Interface (en utilisant makegil.bat)
    if "%GLILANG%" == "fr" echo avant d'excuter ce script.

    if "%GLILANG%" == "ru" echo   ஢  䥩 %PROGNAME% (ᯮ makegli.bat)
    if "%GLILANG%" == "ru" echo ।  ⮣ ਯ
    goto exit


:runGLI
:: ---- Finally, run the GLI ----
echo.


if "%GLILANG%" == "en" echo Running the %PROGNAME_EN%...
if "%GLILANG%" == "es" echo Ejecutando la Interfaz de la %PROGFULLNAME%...
if "%GLILANG%" == "fr" echo Excution de %PROGNAME_EN%
if "%GLILANG%" == "ru" echo 騩  䥩 %PROGNAME%...

:: -Xms32M          To set minimum memory
:: -Xmx32M          To set maximum memory
:: -verbose:gc      To set garbage collection messages
:: -Xincgc          For incremental garbage collection
:: -Xprof           Function call profiling
:: -Xloggc:<file>   Write garbage collection log


:: If there was a gs2build directory inside the client-gli folder, we'd have looked for Perl.
:: If we had found Perl, PERLPATH would have been set. If no perl, can't download or build locally
:: on the client side. If we have Perl, pass the gs2build dir with the -gsdl flag and the PERLPATH.
if "%PERLPATH%" == "" goto :nogsdl
	"%JAVA_EXECUTABLE%" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone -gsdl %~dp0gs2build -perl %PERLPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
	goto finish

:nogsdl
"%JAVA_EXECUTABLE%" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone %1 %2 %3 %4 %5 %6 %7 %8 %9

:finish
if "%GLILANG%" == "en" echo Done!
if "%GLILANG%" == "es" echo Hecho!
if "%GLILANG%" == "fr" echo Termin!
if "%GLILANG%" == "ru" echo 믮!
goto done

:exit
echo.
pause

:done
:: ---- Clean up ----
set PERLPATH=
set JAVAPATH=
set JAVA_EXECUTABLE=
popd
